File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes Architect Certification (SCEA/OCMJEA) and the fly likes SCEA part I Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Certification » Architect Certification (SCEA/OCMJEA)
Bookmark "SCEA part I " Watch "SCEA part I " New topic
Author

SCEA part I

bhargavi kakarala
Ranch Hand

Joined: Jan 03, 2002
Posts: 82
Hi all,
I want to start preparation for SCEA.I went thru Previous postings.
--Is this exam going to change, if so when.
--Which version of EJB we have to study.
--I have seen 2types of SCEAlinks on the top of the page what is the difference & which one we have to follow.
--Which version of J2EE is used 1.3 or 1.4.
--From previous posts i couldn't find links to yahoo PDF files can u please give the links and can u please suggest which books and materials are good for preparation of this exam.
thanks in advance.


Bhargavi
SCJP2,SCWD,SCBCD,IBM Certified SOA Associate,IBM Certified Architectural Design of SOA Solutions
Andrew Monkhouse
author and jackaroo
Marshal Commander

Joined: Mar 28, 2003
Posts: 11525
    
100

Hi Bhargavi,
Could you please take a look at the JavaRanch Official Policy On Displayed Names. We need you to display both a first and a last name in your displayed name. Can you please update your displayed name to meet these requirements? You can change your name here.

--Is this exam going to change, if so when.

From the JavaRanch SCEA FAQ:
"Early in 2003 Sun announced a beta exam for J2EE 1.4, however at the time J2EE 1.4 was not finalised, and the beta exam was put on hold until after J2EE 1.4 was finalised - this happened in late 2003, so it is possible that Sun may release the beta for the new exam sometime in 2004."
We do not know when this is going to happen - the "sometime in 2004" is just a guess, nothing more.

--Which version of EJB we have to study.

From the JavaRanch SCEA FAQ:
"The current exam is based on J2EE 1.2, which includes EJB 1.1"

--I have seen 2types of SCEAlinks on the top of the page what is the difference & which one we have to follow.

The old pages are listed as the "Old SCEA Links Page". These were static pages that were individually maintained, and rarely updated. Many of the links on that page had changed or disappeared, and many new good links were not listed.
So a couple of weeks ago I moved everything that I considered valuable to the New SCEA FAQ and New SCEA Links pages. These are on a wiki, so anyone can update them at any time - you do not need any special permissions to do this (go to our Front Page to find out more about wikis and why we have one and what it can do for you).
The New SCEA FAQ page contains frequently asked questions and their answers.
The New SCEA Links contains links to books, tutorials, white papers, useful postings in this forum, and any other links that we thought might be useful.

--Which version of J2EE is used 1.3 or 1.4.

From the JavaRanch SCEA FAQ:
"The current exam is based on J2EE 1.2, which includes EJB 1.1"

--From previous posts i couldn't find links to yahoo PDF files can u please give the links and can u please suggest which books and materials are good for preparation of this exam.
thanks in advance.

Sorry, that I don't have - perhaps someone else can provide them (and add them to the wiki perhaps?)
I believe you have to join the Yahoo SCEA group, then you will get access to the files.
Regards, Andrew


The Sun Certified Java Developer Exam with J2SE 5: paper version from Amazon, PDF from Apress, Online reference: Books 24x7 Personal blog
Wang Zheng
Greenhorn

Joined: Mar 28, 2003
Posts: 2
Andrew Monkhouse answered in detail.I've learned more.
thx!
bhargavi kakarala
Ranch Hand

Joined: Jan 03, 2002
Posts: 82
Thanks Andrew,

I contacted Sun regarding change of exam they said it may change within next 12 months.
Now Iam in confusion whether to prepare for exam now or after updating.Bcoz SCEA is based on EJB1.1 but I have already learnt EJB 2.0 and I think its not wise to prepare older version.
Any other opinions please
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: SCEA part I